Package org.springframework.context.annotation

# Class MBeanExportConfiguration

java.lang.Object
org.springframework.context.annotation.MBeanExportConfiguration

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanFactoryAware`, `ImportAware`, `EnvironmentAware`

@Configuration(proxyBeanMethods=false) @Role(2) public class MBeanExportConfiguration extends Object implements ImportAware, EnvironmentAware, org.springframework.beans.factory.BeanFactoryAware
`@Configuration` class that registers a `AnnotationMBeanExporter` bean.

This configuration class is automatically imported when using the `EnableMBeanExport` annotation. See its javadoc for complete usage details.

Since:
  3.2
Author:
  Phillip Webb, Chris Beams
See Also:
  - `EnableMBeanExport`

## Constructor Summary

Constructors
Constructor
Description
`MBeanExportConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`AnnotationMBeanExporter`
`mbeanExporter()`
`void`
`setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`
`void`
`setEnvironment(org.springframework.core.env.Environment environment)`
Set the `Environment` that this component runs in.
`void`
`setImportMetadata(org.springframework.core.type.AnnotationMetadata importMetadata)`
Set the annotation metadata of the importing @`Configuration` class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MBeanExportConfiguration

public MBeanExportConfiguration()

## Method Details

### setImportMetadata

public void setImportMetadata(org.springframework.core.type.AnnotationMetadata importMetadata)
Description copied from interface: `ImportAware`
Set the annotation metadata of the importing @`Configuration` class.

Specified by:
  `setImportMetadata` in interface `ImportAware`

### setEnvironment

public void setEnvironment(org.springframework.core.env.Environment environment)
Description copied from interface: `EnvironmentAware`
Set the `Environment` that this component runs in.

Specified by:
  `setEnvironment` in interface `EnvironmentAware`

### setBeanFactory

public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)

Specified by:
  `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`

### mbeanExporter

@Bean(name="mbeanExporter") @Role(2) public AnnotationMBeanExporter mbeanExporter()